Множественные уязвимости в DBD-Pg

Дата публикации:
18.05.2009
Дата изменения:
18.05.2009
Всего просмотров:
1490
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-0663
CVE-2009-1341
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
DBD-Pg 1.x
Уязвимые версии: DBD-Pg версии до 2.0.0

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Уязвимость существует из-за ошибки проверки границ данных в функции pg_getline(). Удаленный пользователь может с помощью специально сформированного запроса вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибки в функции dequote_bytea() в файле quote.c. Удаленный пользователь может запросить данные с колонками BYTEA, вызвать утечку памяти и потребить всю доступную память на системе.

URL производителя: search.cpan.org/~turnstep/DBD-Pg-2.13.1/Pg.pm

Решение: Установите последнюю версию 2.0.0 или выше с сайта производителя.

или введите имя

CAPTCHA